xrdpfc_print(8)

NAME
xrdpfc_print - print content of XRootd ProxyFileCache meta data

SYNOPSIS

xrdpfc_print [options] path ...

options: [-config file] [-unit B|kB|MB] [-json] [-indent chars] [-verbose] [-help]

DESCRIPTION
The xrdpfc_print prints status of downloaded file blocks and access statistics of cached files.

OPTIONS

-c | -config <file-name>
    Xrootd configuration file. Used to load non-default file system (directive ofs.osslib) and prefix for the location of cached files (directive oss.localroot).

-v | -verbose
    Prints state bit for each file block.

-u | -unit <B|kB|MB>
    Specify unit for file-size and access byte-counts; buffer/block size is printed at most as kB. Downward rounding occurs for kB and MB. kB is the default.
    This option does NOT apply to JSON output format, there the unit is always B.

-j | -json
    Prints output in JSON format.

-i | -indent <int>
    Specify alignment for JSON format. Default is -1: single line without any white-space.

-h | -help
    Displays usage information.

OPERANDS
path
    Path to a cinfo file or directory for which the information is to be printed. Path can be relative or absolute. If the path begins with root:/ the path is assumed to be a LFN and gets translated via the standard OSS rules (in the least, it gets prefixed by the oss.localroot). In this case -config option is mandatory.

NOTES
Documentation for all components associated with xrdpfc_print can be found at http://xrootd.org/docs.html

DIAGNOSTICS
Errors yield an error message and a non-zero exit status.

LICENSE
License terms can be displayed by typing "xrootd -H".

SUPPORT LEVEL
The xrdpfc_print command is supported by the xrootd collaboration. Contact information can be found at
http://xrootd.org/contact.html